GET
/integration/v1/learning_paths
List learning paths
List learning paths
operationId List learning paths
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
_start
|
integer | optional | Pagination Start |
_limit
|
integer | optional | Pagination Limit |
search
|
string | optional | Search by name |
user_ids
|
array | optional | Filter by students ids |
group_ids
|
array | optional | Filter by group ids |
Responses
200
application/json body
| Field | Type | Required | Description |
|---|---|---|---|
(array)
|
array | optional | Learning paths data |
learning_path_id
|
string (uuid) | required | Learning path id |
title
|
string | optional | Learning path title |
description
|
string | optional | Learning path description |
assigned_students_count
|
integer | optional | Students count |
assigned_groups_count
|
integer | optional | Groups count |
assigned_to_all
|
boolean | optional | Assigned to all |
total_duration
|
integer | optional | Total duration |
course_ids
|
array | optional | Total duration |
course_id
|
string | required | |
total_courses
|
integer | optional | Total courses |
412 Invalid parameters
500 Server error
512 Specification violations